OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions
SpriteGroup Struct Reference
Inheritance diagram for SpriteGroup:

## Public Member Functions
virtual SpriteID | GetResult () const
virtual byte | GetNumResults () const
virtual uint16 | GetCallbackResult () const
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t size, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.

## Static Public Member Functions
static const SpriteGroup * | Resolve (const SpriteGroup *group, ResolverObject &object, bool top_level=true)
| ResolverObject (re)entry point.
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (size_t index)
| Tests whether given index can be used to get valid (non-NULL) Titem.
static Titem * | Get (size_t index)
| Returns Titem with given index.
static Titem * | GetIfValid (size_t index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.

## Data Fields
SpriteGroupType | type
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_spritegroup_pool >
Tindex | index
| Index of this pool item.

## Protected Member Functions
| SpriteGroup (SpriteGroupType type)
virtual const SpriteGroup * | Resolve (ResolverObject &object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 58 of file newgrf_spritegroup.h.

## Member Function Documentation

const SpriteGroup * SpriteGroup::Resolve | ( | const SpriteGroup * | group,
|  | ResolverObject & | object,
|  | bool | top_level = `true`
| ) |  |
| static

ResolverObject (re)entry point.

This cannot be made a call to a virtual function because virtual functions do not like NULL and checking for NULL everywhere is more cumbersome than this little helper function.

Parameters

  group | the group to resolve for
  object | information needed to resolve the group
  top_level | true if this is a top-level SpriteGroup, false if used nested in another SpriteGroup.

Returns
  the resolved group

Definition at line 35 of file newgrf_spritegroup.cpp.

References Resolve().

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp